<?php

namespace Drupal\module_instructions\Commands;

use Drush\Commands\DrushCommands;

/**
 * Class ModuleInstructionsCommands. The base class for Drush commands.
 */
class ModuleInstructionsCommands extends DrushCommands {

  /**
   * Rebuild all module instructions.
   *
   * @usage drush module-instructions:build
   *   Delete all module instructions and create new ones.
   *
   * @command module-instructions:build
   * @aliases mib
   */
  public function buildModuleInstructions() {
    module_instructions_cron();
    $this->output()->writeln(dt('All module instructions have been re-built.'));
  }

}
