# Module Instructions

Show module README.txt, CHANGELOG.txt and LICENSE.txt files in module list.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/module_instructions).

To submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/module_instructions).


## Table of contents

- Requirements
- Installation
- Configuration
- Maintainers


## Requirements

This module requires no modules outside of Drupal core.


## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

No configuration is needed.


## Maintainers

- Ales Rebec - [alesr](https://www.drupal.org/u/alesr)
- Viktor Holovachek - [AstonVictor](https://www.drupal.org/u/astonvictor)
